/* 
chemin => chemin relatif des images
tabImg => nom des images
tabTxt => lgende des images
*/

var chemin = "exemple/";
var tabImg = new Array("i1.gif","i2.gif","i3.gif","i4.gif","i5.gif");
var tabTxt = new Array("Image 1", "Voici un long, terriblement long et ennuyeux commentaire sur l'image2", "Image3", "Image4", "Image5");

var attente = "3000"; //dlai d'affichage d'une image en ms

// Action  raliser lors du clic sur une cellule. 
// id est de la forme "celluleX" avec X compris entre 0 et tabImg.length-1
function clicSurImage(objCellule)
{
	//alert(objCellule.id);
  
	switch (objCellule.id)
	{
		case "cellule0" : 	//action a raliser lors du clic sur la cellule 0
				alert("coucou");
				break;
		case "cellule1" :		//action a raliser lors du clic sur la cellule 1
				alert("bonjour :-)");
				break;
		case "cellule2" :		//action a raliser lors du clic sur la cellule 2
				alert("hello");
				break;
	}  
}

/*********************************************************/
//***** Fonctions du diaporama *****//
var tempo = "1";
var pas = 4;
var chrono;
var posFin, conteneur, sens;

// Ajout des images et du texte dans le div conteneur
function creationDiaporama()
{
	var i;
	var imgDiapo, txtDiapo, crlf;
	var conteneur = document.getElementById("conteneur");
	
	// Cration du tableau contenant les lements
	var elTable = document.createElement("table");			
	// Ajout d'une ligne dans ce tableau
	var elLigne = elTable.insertRow(-1);
	var elCell;
		
	elTable.style.width = parseInt(conteneur.clientWidth * tabImg.length) + "px";
	elTable.cellSpacing = "0";
	elTable.cellPading = "0";
	
	for (i=0; i<tabImg.length; i++)
	{
		// Cration du noeud image
		imgDiapo = document.createElement("img");
		imgDiapo.src = chemin+tabImg[i];
		imgDiapo.className = "image";
		
		// Cration du saut de ligne
		crlf = document.createElement("br");
		
		// Cration du noeud texte
		txtDiapo = document.createTextNode(tabTxt[i]);
		
		// Cration de la cellule contenant les objets
		elCell = elLigne.insertCell(i);
		elCell.className = "cellule";
		elCell.id = "cellule"+i;
		elCell.objetCellule = elCell;
		elCell.onclick = function(){clicSurImage(this.objetCellule);}
		
		// Ajout des lments dans la cellule
		elCell.appendChild(imgDiapo);
		elCell.appendChild(crlf);
		elCell.appendChild(txtDiapo);
	}
	
	// Ajout du tableau dans le div conteneur
	conteneur.appendChild(elTable);
	//chrono = setTimeout("deroule()",attente);
} 

// Dtermination du sens de dfilement des images et des distances  parcourir
function deroule()
{
	var distance;

	conteneur = document.getElementById("conteneur");
	distance = conteneur.scrollWidth / tabImg.length;
	
	if (conteneur.scrollLeft + distance >=conteneur.scrollWidth)
	{
		sens = -1;
	}

	if (conteneur.scrollLeft<distance)
	{
		sens = 1;
	}
	
	posFin = conteneur.scrollLeft + sens * distance;
	chrono = setTimeout("defileImage()", tempo);
}

// Dfilement des images
function defileImage()
{
	conteneur.scrollLeft = conteneur.scrollLeft + sens * pas;	
	
	if (sens == 1)
	{
		if (conteneur.scrollLeft<posFin)
			chrono = setTimeout("defileImage()", tempo);
		else
			chrono = setTimeout("deroule()",attente);
	}
	else
	{
		if (conteneur.scrollLeft>posFin)
			chrono = setTimeout("defileImage()", tempo);
		else
			chrono = setTimeout("deroule()",attente);
	
	}

}

// Rinitialisation du diaporama lors de la fermeture de la page
function stopDiaporama()
{
	clearTimeout(chrono);
	document.getElementById("conteneur").scrollLeft = 0;
}



function afficher(objSpan)
{
	objSpan.style.color = "#FF0000";
	document.getElementById("conteneur").style.visibility = "visible";
	chrono = setTimeout("deroule()",attente);
	
}
function cacher(objSpan)
{
	objSpan.style.color = "#0000FF";
	document.getElementById("conteneur").style.visibility = "hidden";
	clearTimeout(chrono);
}

